gr::dab::moving_sum_ff Class Reference

<+description of block+> More...

`#include <moving_sum_ff.h>`

Inheritance diagram for gr::dab::moving_sum_ff:
[legend]

## Public Types

typedef std::shared_ptr< moving_sum_ff > | sptr

## Static Public Member Functions

static sptr | make (int length)
| Return a shared_ptr to a new instance of dab::moving_sum_ff.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<moving_sum_ff> gr::dab::moving_sum_ff::sptr

## Member Function Documentation

## make()

sptr gr::dab::moving_sum_ff::make | ( | int | length | ) |

static

Return a shared_ptr to a new instance of dab::moving_sum_ff.

To avoid accidental use of raw pointers, dab::moving_sum_ff's constructor is in a private implementation class. dab::moving_sum_ff::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- moving_sum_ff.h